Update Admin Wheel Config
curl --request PUT \
--url https://api.example.com/cabinet/admin/wheel/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_enabled": true,
"name": "<string>",
"spin_cost_stars": 500,
"spin_cost_days": 15,
"spin_cost_stars_enabled": true,
"spin_cost_days_enabled": true,
"rtp_percent": 50,
"daily_spin_limit": 50,
"min_subscription_days_for_day_payment": 15,
"promo_prefix": "<string>",
"promo_validity_days": 183
}
'import requests
url = "https://api.example.com/cabinet/admin/wheel/config"
payload = {
"is_enabled": True,
"name": "<string>",
"spin_cost_stars": 500,
"spin_cost_days": 15,
"spin_cost_stars_enabled": True,
"spin_cost_days_enabled": True,
"rtp_percent": 50,
"daily_spin_limit": 50,
"min_subscription_days_for_day_payment": 15,
"promo_prefix": "<string>",
"promo_validity_days": 183
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
is_enabled: true,
name: '<string>',
spin_cost_stars: 500,
spin_cost_days: 15,
spin_cost_stars_enabled: true,
spin_cost_days_enabled: true,
rtp_percent: 50,
daily_spin_limit: 50,
min_subscription_days_for_day_payment: 15,
promo_prefix: '<string>',
promo_validity_days: 183
})
};
fetch('https://api.example.com/cabinet/admin/wheel/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"is_enabled": true,
"name": "<string>",
"spin_cost_stars": 123,
"spin_cost_days": 123,
"spin_cost_stars_enabled": true,
"spin_cost_days_enabled": true,
"rtp_percent": 123,
"daily_spin_limit": 123,
"min_subscription_days_for_day_payment": 123,
"promo_prefix": "<string>",
"promo_validity_days": 123,
"prizes": [
{
"id": 123,
"config_id": 123,
"prize_type": "<string>",
"prize_value": 123,
"display_name": "<string>",
"emoji": "<string>",
"color": "<string>",
"prize_value_kopeks": 123,
"sort_order": 123,
"is_active": true,
"manual_probability": 123,
"promo_balance_bonus_kopeks": 0,
"promo_subscription_days": 0,
"promo_traffic_gb": 0,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Fortune Wheel
Update Admin Wheel Config
Обновить конфигурацию колеса.
PUT
/
cabinet
/
admin
/
wheel
/
config
Update Admin Wheel Config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Запрос на обновление конфига колеса.
Required string length:
1 - 255Required range:
1 <= x <= 1000Required range:
1 <= x <= 30Required range:
0 <= x <= 100Required range:
0 <= x <= 100Required range:
1 <= x <= 30Required string length:
1 - 20Required range:
1 <= x <= 365Response
Successful Response
Полная конфигурация колеса для админа.
Show child attributes
Show child attributes
⌘I
